# Uses of Package
javax.persistence.metamodel

Packages that use javax.persistence.metamodel
javax.persistence
javax.persistence.criteria
javax.persistence.metamodel

Classes in javax.persistence.metamodel used by javax.persistence
Class and Description
Metamodel

Classes in javax.persistence.metamodel used by javax.persistence.criteria
Class and Description
Attribute
Bindable
CollectionAttribute
EntityType
ListAttribute
MapAttribute
PluralAttribute
SetAttribute
SingularAttribute

Classes in javax.persistence.metamodel used by javax.persistence.metamodel
Class and Description
Attribute
Attribute.PersistentAttributeType
Bindable
Bindable.BindableType
CollectionAttribute
EmbeddableType
EntityType
IdentifiableType
ListAttribute
ManagedType
MapAttribute
PluralAttribute
PluralAttribute.CollectionType
SetAttribute
SingularAttribute
Type
Type.PersistenceType